Create Workflow

Create Workflow

Create a workflow. By default, the workflow will be created as a draft. The draft field in the input can be set to false to make the workflow runable

Request
URI
POST
https://{api_host}/tca/swfe/workflows/api/v1/orgs/{orgId}/workflows
COPY
Path Parameters
string
orgId
Required

orgId


Request Body
WorkflowapiCreateWorkflowRequest of type(s) application/json
Optional

Show optional properties

{
    "source": "string"
}
{
    "draft": "string",
    "source": "string"
}
string
draft
Optional

draft

string
source
Required

source

Authentication
This operation uses the following authentication methods.
Responses
201

Created

Returns WorkflowapiWorkflowResponse of type(s) application/json
{
    "workflow": {
        "annotations": [
            "string"
        ],
        "createdBy": "string",
        "creationtime": "string",
        "description": "string",
        "draft": "string",
        "id": 0,
        "jsonSchemaId": 0,
        "lastupdated": "string",
        "name": "string",
        "organizationId": "string",
        "resourceVersion": 0,
        "source": "string",
        "updatedBy": "string",
        "version": "string",
        "workflowId": "string"
    }
}
workflow
Optional

workflow


400

Bad Request

Returns RestErrResponse of type(s) application/json
{
    "code": 0,
    "context": {},
    "error": "string",
    "status": "string"
}
integer
code
Optional

Application-specific error code.

object
context
Optional

Application context.

string
error
Optional

Error message.

string
status
Optional

Status text.


403

Forbidden

Returns RestErrResponse of type(s) application/json
{
    "code": 0,
    "context": {},
    "error": "string",
    "status": "string"
}
integer
code
Optional

Application-specific error code.

object
context
Optional

Application context.

string
error
Optional

Error message.

string
status
Optional

Status text.


409

Conflict

Returns RestErrResponse of type(s) application/json
{
    "code": 0,
    "context": {},
    "error": "string",
    "status": "string"
}
integer
code
Optional

Application-specific error code.

object
context
Optional

Application context.

string
error
Optional

Error message.

string
status
Optional

Status text.


500

Internal Server Error

Returns RestErrResponse of type(s) application/json
{
    "code": 0,
    "context": {},
    "error": "string",
    "status": "string"
}
integer
code
Optional

Application-specific error code.

object
context
Optional

Application context.

string
error
Optional

Error message.

string
status
Optional

Status text.